The following options were used to configure sudo for Debian GNU/Linux.

  --with-all-insults

	Include all the insults in the binary, won't be enabled unless turned
	on in the sudoers file.

  --with-pam 
	
	enable PAM support

  --with-pam-login

	enable specific PAM session for sudo -i

  --with-fqdn 

	expect fully qualified hosts in sudoers

  --with-logging=syslog
  --with-logfac=authpriv 

	Where logging information goes.

  --with-env-editor 
  --with-editor=/usr/bin/editor

	Honor the EDITOR and VISUAL environment variables.  If they are not
	present, default to the preferred systemwide default editor.

  --with-exampledir=/usr/share/doc/sudo/examples

	Where sudo examples are installed

  --with-timeout=15 
  --with-password-timeout=0 
  --with-passprompt="[sudo] password for %p: "

	Allow 15 minutes before a user has to re-type their passord, versus
	the sudo usual default of 5.  Never time out while waiting for a
	password to be typed, this is important to Debian package developers 
	using 'dpkg-buildpackage -rsudo'.  Make it clear which password is 
	requested.

  --with-tty-tickets

	use a different ticket file for each tty

  --without-lecture

	don't print lecture for first-time sudoer

  --disable-root-mailer

	Don't run the mailer as root, run as the user

  --with-sendmail=/usr/sbin/sendmail

	Use Debian policy to know the location of sendmail instead of trying 
	to detect it at build time.

  --with-rundir=/run/sudo

	directory for sudo-specific files that do not
        survive a system reboot, e.g. `/run/sudo'

  --with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH)

	enable SSSD support and configure where the sssd library lives

  --enable-zlib=system

	use Debian's zlib

  --enable-admin-flag

	Create a Ubuntu-style admin flag file

  --with-apparmor

	enable AppArmor support

  --with-selinux

	enable SELinux support

  --with-linux-audit

	enable Linux audit support

  --enable-tmpfiles.d=/usr/lib/tmpfiles.d

	Set the path to the systemd tmpfiles.d directory.


the following configure flags are added implicitly by the Debian build system and
might change without maintainers noticing explicitly

  --build=x86_64-linux-gnu

	Set build environment triplet

  --prefix=/usr

	Build for installation in /usr

  --includedir=\${prefix}/include

	Where our C header files are

  --mandir=\${prefix}/share/man

	man documentation

  --infodir=\${prefix}/share/info

	info documentation

  --sysconfdir=/etc

	read-only single-machine data

  --localstatedir=/var

	modifiable single-machine data

  --disable-option-checking

	ignore unrecognized --enable/--with options

  --disable-silent-rules

	undocumented in configure --help

  --libdir=\${prefix}/lib/x86_64-linux-gnu

	object code libraries

  --runstatedir=/run

	modifiable per-process data

  --disable-maintainer-mode

	undocumented in configure --help

  --disable-dependency-tracking

	undocumented in configure --help

